Subject: bug#13524: Improving user experience for non-recursive builds

From: Stefano Lattarini <[email-masked]>
Date: Sun, 03 Feb 2013 21:42:06 +0100

tags 13524 + patch
thanks

[+cc automake-patches]

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13524>

On 01/28/2013 12:38 AM, Peter Rosin wrote:
> Hi Stefano,
> 
> On 2013-01-27 20:21, Stefano Lattarini wrote:
>>> This time with documentation and a NEWS entry. I also fixed the case
>>> of including something above the current base Makefile.am with a
>>> relative path, e.g.:
>>>
>>> 	include ../top.mk
>>>
>>> That change shaved a couple of more lines. Neat.
>>>
>>> I also rebased it, so now it is against master.
>>>
>> Thanks, it seems nice and good.  I'm doing some testsuite enhancements,
>> and then I have some proposals for further tweaks, but all of those
>> should be for follow-up patches.  Will you allow me some days to prepare
>> a follow-up patch series for further discussion?
> 
> Sure, take your time, I feel like I'm done. For about the fifth
> time :-) or something like that. Besides, the patch will not be of
> all that much use to me until it lands in a released version anyway.
> 
I've pushed the promised patches to the rewindable branch
'experimental/preproc' (based off of maint).  I'll also soon
send them to the list to simplify review (I will drop the
bug tracker from CC:, to avoid cluttering up the report).

As usual, reviews are welcome.

Thanks,
  Stefano